<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <title>jQuery Sample (官方網站)</title>
    <script src="assets/jquery-3.6.0.min.js"></script>
<!--    <script src="https://code.jquery.com/jquery-3.6.0.min.js"></script>-->
</head>

<body align="center">
    <button class="continue">Button</button>
    <hr>
    <h3>button-container button</h3>
    <div id="button-container">
        <button>Button</button>
        <br>
        <button id="banner-message" style="display:none">banner-message</button>
    </div>
    <hr>
    <button id="ajax-btn">Ajax</button>
    <p id="weather-temp">Console Text</p>

    <script>
        $(function() {
            $("button.continue").html("Next Step...")

            var hiddenBox = $("#banner-message");
            $("#button-container button").on("click", function(event) {
                hiddenBox.show();
            });

            $("#ajax-btn").off("click").on("click" , function(){
                $.ajax({
                    url: "api/getWeather.txt",
                    data: {
                        zipcode: 97201
                    },
                    success: function(result) {
                        $("#weather-temp").html("<strong>" + result + "</strong> degrees");
                    }
                });
            })
        });

    </script>
</body>

</html>
